#
# spec file for package catdoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           catdoc
Version:        0.95
Release:        8.1
Summary:        Decodes MS Word files into plain text or TeX format
License:        GPL-2.0+
Group:          Productivity/Publishing/Other
Url:            http://www.wagner.pp.ru/~vitus/software/catdoc/
Source:         http://ftp.wagner.pp.ru/pub/catdoc/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE dont_build_xls2csv.patch -- xls2csv is provided by two other packages, so we don't need it built
Patch1:         dont_build_xls2csv.patch
BuildRequires:  freetype2-devel
BuildRequires:  tcl
BuildRequires:  tk
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Catdoc is a MS Word file decoding tool that doesn't attempt to
analyze file formatting (it just extracts readable text), but
is able to handle all versions of Word and convert character
encodings. A Tcl/Tk graphical viewer is also included. It can
also read RTF files and convert Excel and PowerPoint files.

%prep
%setup -q
%patch1 -p1

%build
export CXXFLAGS="$CXXFLAGS %{optflags}"
export CFLAGS="$CFLAGS %{optflags}"
%configure
make %{?_smp_mflags}

%install
make installroot=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/man
mkdir -p %{buildroot}%{_mandir}/man1
mv $RPM_BUILD_DIR/%{name}-%{version}/doc/*.1 %{buildroot}%{_mandir}/man1/

%files
%defattr(-, root, root, 0755)
%doc COPYING NEWS README TODO
%{_mandir}/man1/*
# Conflicts with xls2csv package
%exclude %{_mandir}/man1/xls2csv*
%{_bindir}/catdoc
%{_bindir}/catppt
%{_bindir}/wordview
%dir %{_datadir}/catdoc
%{_datadir}/catdoc/*.txt
%{_datadir}/catdoc/*.*chars

%changelog
* Wed May 31 2017 astieger@suse.com
- catdoc 0.95:
  * Fix various issues found during fuzzing which may lead to an
    application crash or have unspecified further impact when
    the user is tricked into opening specially crafted files
    bsc#919228
  * Replace charset tables with new ones, published by Unicode
    Consortium with more permissive license
  * Fix some incompatibilities with CLang
  * Fix lot of segfaults on incorrect or corrupted data
  * Use stdint int types throughout the code
- drop install.patch
* Sun Nov 17 2013 hrvoje.senjan@gmail.com
- Added dont_build_xls2csv.patch: xls2csv is provided by two other
  packages, so we don't need it built
- Added install.patch, for honoring installroot variable
* Tue Oct 15 2013 hrvoje.senjan@gmail.com
- Update to 0.94.4
-  Changes since 0.94.3:
  * Remove extra ';' in src/xlsparse.c which turned for loop in
    xlsparse into a buffer overflow
-  Changes since 0.94.2:
  * Fix codepage bugs
  * Fix charset bug
  * Handle negative numbers on 64bit architectures
  * Fix Macintosh MS1904 date bug in xlsparse reported ubuntu
* Mon Mar 16 2009 Raymond Wooninck <tittiatcoke@gmail.com> - 0.94.2
- Moved package to KDE:KDE4:Community to support Recoll
* Wed Aug  1 2007 John Pye <john@curioussymbols.com> 0.94.2-2
- Fixing 'makeinstall' macro for SUSE.
- Fixing install of man page(s).
* Sun Apr 23 2006 Dries Verachtert <dries@ulyssis.org> - 0.94.2-1
- Updated to release 0.94.2.
* Sat Apr  8 2006 Dries Verachtert <dries@ulyssis.org> - 0.94-1.2
- Rebuild for Fedora Core 5.
* Sat Dec 10 2005 Dries Verachtert <dries@ulyssis.org> - 0.94-1
- Initial package.
